> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all team memberships for an organization

GET https://api.contentful.com/organizations/{organization_id}/team_memberships

Returns a paginated collection of all team memberships across all teams in the organization. Accessible by all organization members.

Reference: https://contentful.com/developers/docs/references/user-management-api/team-memberships/get-all-team-memberships-for-an-organization

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — The organization ID

### Query parameters

- `skip` (integer, optional) — Specify an offset to paginate through results
- `limit` (integer, optional) — Specify the maximum number of results
- `order` (enum, optional) — Specify sort order of result set
  - Allowed values: `sys.createdAt`, `sys.updatedAt`
- `include` (enum, optional) — Specify linked resources to include in response
  - Allowed values: `sys.team`
- `sys.organizationMembership.sys.id` (string, optional) — Filter by organization membership ID

## Response

### 200

OK - Paginated list of team memberships across the organization

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "sys": {
        "createdAt": "2025-11-14T04:59:44.000Z",
        "id": "5xKNPxTNPnKr8JHNHYbQeC",
        "organization": {
          "sys": {
            "id": "4EJGvuLTBUMG2A6wS8gfAS",
            "linkType": "Organization",
            "type": "Link"
          }
        },
        "team": {
          "sys": {
            "id": "4E6i5or8iabA6wS8gfASfa",
            "linkType": "Organization",
            "type": "Link"
          }
        },
        "type": "TeamMembership",
        "updatedAt": "2025-11-14T04:59:44.000Z"
      }
    }
  ],
  "limit": 25,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 1
}
```